Download Sn0wbreeze 2.9.10 For iOS 6.1.2

Sn0wbreeze 2.9.7 Download Sn0wbreeze 2.9.10 For iOS 6.1.2

We bring some novelty, again. This time we are going to tell you a few things about a new version of  Snowbreeze, Snowbreeze v2.9.10. This came as a response to Apple’s new software release, the iOS 6.1.2, launched for the large public a few days ago. The new version of Snowbreeze was released by iH8sn0w, and it can support an untethered jailbreak on Apple’s new firmware.

Thanks to the new version of Snowbreeze, Windows users are now able to jailbreak any iPhone device that runs on the iOS 6.0, or 6.1.2, even those older and we mean here to the devices iPod touch 4G, iPhone 3GS and iPhone 4.

The new Snowbreeze 2.9.10 has now included the change log for both the version v2.9.9 and for the v2.9.8, and also a few other things which we have listed below:

  • Snowbreeze 2.9.10:  We owe some special thanks to @nitoTV for fixing the Apple TV 2 iOS 5.2 sandbox.
  • Snowbreeze 2.9.10: We now have support for  iOS 6.1.2, working on 3GS/A4 gadgets.
  • Snowbreeze 2.9.9: The issue we used to encounter here, related to the devices that weren’t recognized by iTunes or xcode has been fixed.
  • Snowbreeze 2.9.9: The bug we used to encounter at the build up of iPhone3,2  (iPhone 4 GSM-Rev2)  IPSW, has been removed.
  • Snowbreeze 2.9.9: Certain bugs that appeared on Apple TV 2 were fixed.
  • Snowbreeze 2.9.9: For upcoming updates we now have available a version of evasi0n, which can untether straight on Cydia.
  • The evad3rs team included untethers for  5.2/6.0.x/6.1 firmwares, so we can thank them again for the support.
  • We now have support for the  iOS 6.1 firmware, running on devices such as A4 gadgets and iPhone 3GS.
  •  On any firmware version of 6.0.x., issues concerning Hacktivation are now solved.
  • Also, a few bugs that used to appear in iFaith mode were removed.

We  can tell you that the Snowbreeze software gives users the possibility to create a jailbroken custom firmware file, which can be further used during the future upgrade of their devices with iOS 6.1.2 (devices such as iPod Touch, iPad or iPhone). You should also know that Snowbreeze doesn’t update the baseband of the iPhone device, this way preserving it for the possibility to be unlocked with the Ultrasnow software.

However, keep in mind that the Snowbreeze software isn’t available, and cannot support devices powered by A5x, A5, A6X or A6. These devices are iPod touch 5g, iPhone 4S, iPhone 5, iPad mini, iPad 2, iPad 3, and iPad 4.

Regarding this inconvenient, the info we found so far states that Snowbreeze cannot run on A5(X)/A6(X) powered devices, and in order for that to be possible we need to find a low level exploit in DFU or in iBoot.

If you want to download and install the newest Snowbreeze available, you can easily find it in our download section right here.

Please tell us if anything goes wrong, in the comment section below.